Subject: Re: [PATCH] treewide: always have a valid "index_state.repo" member

From: Derrick Stolee <[email-masked]>
Date: Tue, 17 Jan 2023 10:34:11 -0500

On 1/17/2023 8:57 AM, Ævar Arnfjörð Bjarmason wrote:
 
> This an updated verison of the 6/6 of [A], which per Junio's [B]
> wasn't picked up with those patches, which are now in "next".
> 
> Junio: Now that Derrick's ds/omit-trailing-hash-in-index has landed on
> "master" this can be applied on top a merge of "master" and what you
> have in "ab/cache-api-cleanup" (that topic itself being based on a
> too-old "master").
> 
> Since the v2 I changed the "Complete the double-reference" logic in
> repo_read_index() so that we're not working around a state of a
> affairs that no longer exists with this change.
> 
> A. https://lore.kernel.org/git/[email-masked]/
> B. https://lore.kernel.org/git/[email-masked]/
> 
> Range-diff:

These changes look good to me. Thanks for dealing with the branch-
hopping.

Thanks,
-Stolee